Subject: Re: [PATCH] mlx4: Add support for EEH error recovery

From: Kleber Sacilotto de Souza <[email-masked]>
Date: Mon, 23 Jul 2012 10:18:41 -0300

On 07/22/2012 09:15 PM, David Miller wrote:

> From: Or Gerlitz <[email-masked]>
> Date: Sun, 22 Jul 2012 13:26:32 +0300
> 
>> is there anything in the code you added which maybe implicitly
>> assumes PPC arch?
> 
> He implemented support for a standard PCI API in the kernel, he
> happened to test it on a particular platform, and I think that's
> the long and short of it.
> 

Exactly. The callbacks implemented are from standard PCI error recovery
(Documentation/PCI/pci-error-recovery.txt) and the changes doesn't
assume any platform in specific. The code was tested only on powerpc
systems since I don't have any mlx4 card on other platforms, however,
these changes shouldn't make the error recover any worse than the
current state.

-- 
Kleber Sacilotto de Souza
IBM Linux Technology Center